Bug 313951 - xmms requies execstack
xmms requies execstack
Product: Fedora
Classification: Fedora
Component: xmms (Show other bugs)
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-01 10:59 EDT by Daniel Walsh
Modified: 2008-10-21 17:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-10-21 17:05:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Walsh 2007-10-01 10:59:24 EDT
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Daniel Walsh 2007-10-01 11:01:59 EDT
SELinux is not allowing xmms to use execstack,  This indicates a coding problem
in the application.


Your application most likely does not need this privs and could be coded against
it.  This is a potential security problem, as allowing exec stacks could lead to
buffer overflow attacks.
Comment 2 Ulrich Drepper 2007-10-01 11:08:21 EDT
Like for most multi-media apps, this likely only means some assembler code does
not have the note section for the stack permission.  In that case a fix is simple.
Comment 3 Bug Zapper 2008-04-04 09:57:54 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 Paul F. Johnson 2008-09-12 04:35:31 EDT
Can you test to see if it's still the same in the version in update-candidates for f9 please?
Comment 5 David Nalley 2008-10-21 17:05:22 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.


Note You need to log in before you can comment on or make changes to this bug.